
%  fds_ylabel_log.m  ver 1.0  by Tom Irvine


function[y_label,t_string]=fds_ylabel_log(Q,bex,nmetric,iu)


if(nmetric==1)
    t_string=sprintf('Acceleration Fatigue Damage Spectra  Q=%g b=%g ',Q,bex);
    if(iu==1)
        y_label=sprintf('Damage log_{10}(G^{ %g})',bex);
    else
        y_label=sprintf('Damage log_{10}((m/sec^2)^{ %g})',bex);        
    end
end
if(nmetric==2)    
    t_string=sprintf('Pseudo Velocity Fatigue Damage Spectra  Q=%g b=%g ',Q,bex);   
    if(iu==1)
        y_label=sprintf('Damage log_{10}(ips^{ %g})',bex);
    else
        y_label=sprintf('Damage log_{10}((m/sec)^{ %g})',bex);        
    end    
end   
if(nmetric==3)    
    t_string=sprintf('Trans Pressure FDS  Q=%g b=%g ',Q,bex);   
    if(iu==1)
        y_label=sprintf('Damage log_{10}(psi^{ %g})',bex);
    else
        y_label=sprintf('Damage log_{10}(Pa^{ %g})',bex);        
    end    
end   